package com.uas.platform.b2b.temporary.model;

import java.io.Serializable;
import java.util.Date;

/**
 * 已审批
 * 
 * @author hejq
 * @time 创建时间：2017年3月17日
 */
public class AuditInfoDone implements Serializable, Comparable<AuditInfoDone> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String jn_name;
	private String jn_operateddescription;
	private Long jn_dealmanid;
	private String jn_dealmanname;
	private Date jn_dealtime;
	private String jn_dealresult;
	private Long jp_codevalue;
	private Long jp_nodeid;
	private Long jp_keyvalue;
	private String jp_name;
	private Long jp_launcherid;
	private String jp_launchername;

	public String getJn_name() {
		return jn_name;
	}

	public void setJn_name(String jn_name) {
		this.jn_name = jn_name;
	}

	public String getJn_operateddescription() {
		return jn_operateddescription;
	}

	public void setJn_operateddescription(String jn_operateddescription) {
		this.jn_operateddescription = jn_operateddescription;
	}

	public Long getJn_dealmanid() {
		return jn_dealmanid;
	}

	public void setJn_dealmanid(Long jn_dealmanid) {
		this.jn_dealmanid = jn_dealmanid;
	}

	public String getJn_dealmanname() {
		return jn_dealmanname;
	}

	public void setJn_dealmanname(String jn_dealmanname) {
		this.jn_dealmanname = jn_dealmanname;
	}

	public Date getJn_dealtime() {
		return jn_dealtime;
	}

	public void setJn_dealtime(Date jn_dealtime) {
		this.jn_dealtime = jn_dealtime;
	}

	public String getJn_dealresult() {
		return jn_dealresult;
	}

	public void setJn_dealresult(String jn_dealresult) {
		this.jn_dealresult = jn_dealresult;
	}

	public Long getJp_codevalue() {
		return jp_codevalue;
	}

	public void setJp_codevalue(Long jp_codevalue) {
		this.jp_codevalue = jp_codevalue;
	}

	public Long getJp_nodeid() {
		return jp_nodeid;
	}

	public void setJp_nodeid(Long jp_nodeid) {
		this.jp_nodeid = jp_nodeid;
	}

	public Long getJp_keyvalue() {
		return jp_keyvalue;
	}

	public void setJp_keyvalue(Long jp_keyvalue) {
		this.jp_keyvalue = jp_keyvalue;
	}

	public String getJp_name() {
		return jp_name;
	}

	public void setJp_name(String jp_name) {
		this.jp_name = jp_name;
	}

	public Long getJp_launcherid() {
		return jp_launcherid;
	}

	public void setJp_launcherid(Long jp_launcherid) {
		this.jp_launcherid = jp_launcherid;
	}

	public String getJp_launchername() {
		return jp_launchername;
	}

	public void setJp_launchername(String jp_launchername) {
		this.jp_launchername = jp_launchername;
	}

	@Override
	public int compareTo(AuditInfoDone o) {
		return o.jp_keyvalue.compareTo(this.jp_keyvalue);
	}

}
